 
--
-- 活动优惠类：活动表，活动商品表，优惠表，优惠劵领取记录表
--
 
DROP TABLE IF EXISTS vs_sales_promotion;
CREATE TABLE vs_sales_promotion(
sp_id INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '活动ID',
sp_title VARCHAR(500) NOT NULL COMMENT '活动标题',
sp_litpic VARCHAR(500)  NOT NULL COMMENT '活动头图',
sp_bgcolor VARCHAR(100)  NOT NULL COMMENT '活动背景色 ffffff',
sp_start_time INT NOT NULL DEFAULT 0 COMMENT '活动开始时间',
sp_end_time INT NOT NULL DEFAULT 0  COMMENT '活动结束时间',
sp_online INT  NOT NULL DEFAULT 0  COMMENT '是否上线0否1是',
sp_rule  VARCHAR(5000)  NOT NULL COMMENT '活动规则',
sp_share_title  VARCHAR(500)  NOT NULL COMMENT '活动分享标题',
sp_share_content  VARCHAR(500)  NOT NULL COMMENT '活动分享文案',
sp_share_litpic  VARCHAR(500)  NOT NULL COMMENT '活动分享图片',
sp_share_limit INT  NOT NULL DEFAULT 0  COMMENT '是否可分享0否1是',
sp_product_limit VARCHAR(500)  NOT NULL DEFAULT 0  COMMENT '活动商品，商品ID分号分隔',
sp_cp_limit VARCHAR(500)  NOT NULL DEFAULT 0  COMMENT '优惠劵，优惠劵ID分号分隔',
sp_show_type  INT  NOT NULL DEFAULT 0  COMMENT '提示方式0无1弹窗提示',
sp_show_img  INT  NOT NULL DEFAULT 0  COMMENT '弹窗图片',
PRIMARY KEY (sp_id)
) ENGINE = innodb COMMENT '促销活动表' DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS vs_sales_goods;
CREATE TABLE vs_sales_goods(
sg_id INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '活动商品ID',
sp_id INT NOT NULL DEFAULT 0  COMMENT '活动ID',
sg_title VARCHAR(500) NOT NULL COMMENT '活动商品标题',
sg_litpic VARCHAR(500)  NOT NULL COMMENT '活动商品头图',
sg_price INT NOT NULL DEFAULT 0 COMMENT '活动商品价格',
sg_online INT  NOT NULL DEFAULT 0  COMMENT '是否上线0否1是',
product_id  INT  NOT NULL DEFAULT 0 COMMENT '商品关联产品ID',
sg_sort  INT  NOT NULL DEFAULT 100 COMMENT '排序，默认100',
PRIMARY KEY (sg_id)
) ENGINE = innodb COMMENT '活动商品表' DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS vs_coupon_info;  
CREATE TABLE vs_coupon_info(
cp_id INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '优惠劵ID',
cp_title VARCHAR(100)  NOT NULL COMMENT '优惠劵标题',
cp_sntitle VARCHAR(100)  NOT NULL COMMENT '优惠劵副标题',
cp_litpic VARCHAR(300)  NOT NULL COMMENT '优惠劵图片',
cp_type  TINYINT NOT NULL  COMMENT '优惠劵类型，0满减、1立减、2折扣券',
cp_type_m  INT NOT NULL DEFAULT 0  COMMENT ' 满减、满xxx',
cp_type_j  INT NOT NULL DEFAULT 0  COMMENT ' 满减、减xx',
cp_type_l  INT NOT NULL DEFAULT 0  COMMENT ' 立减、减xx',
cp_type_z  INT NOT NULL  DEFAULT 0  COMMENT ' 0无折扣、1-100折扣',
cp_content VARCHAR(5000) COMMENT '使用说明',
cp_user_type   INT NOT NULL  DEFAULT 0  COMMENT ' 0不限1新用户2会员',
cp_product_id   INT NOT NULL  DEFAULT 0  COMMENT ' 0不限或指定商品ID',
cp_limit_num   INT NOT NULL  DEFAULT 0  COMMENT ' 限领数量0不限',
cp_limit_type   INT NOT NULL  DEFAULT 0  COMMENT '0固定时间1有效天数',
cp_time_start   INT NOT NULL  DEFAULT 0  COMMENT '限用时间开始',
cp_time_end   INT NOT NULL  DEFAULT 0  COMMENT ' 限用时间结束',
cp_time_limit   INT NOT NULL  DEFAULT 0  COMMENT '限用有效天数0为固定时间',
cp_url  VARCHAR(500)  COMMENT '跳转页面，结合小程序页面',
PRIMARY KEY (cp_id)
) ENGINE = innodb COMMENT '优惠劵表' DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS vs_coupon_getlist;  
CREATE TABLE vs_coupon_getlist(
get_id INT UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '领取记录ID',
cp_id   INT NOT NULL COMMENT '优惠劵ID',
cp_used  TINYINT NOT NULL DEFAULT 0 COMMENT '优惠劵是否使用0未用1已用-1过期-2作废（退款）',
cp_from  TINYINT NOT NULL  COMMENT '优惠劵来源：0领取1退还',
cp_fee  INT NOT NULL DEFAULT 0  COMMENT '优惠金额',
get_time  INT NOT NULL DEFAULT 0  COMMENT ' 获得时间',
customer_id  INT NOT NULL DEFAULT 0  COMMENT '领取用户ID',
get_byorder   INT NOT NULL  DEFAULT 0  COMMENT ' 订单ID',
used_time  INT NOT NULL COMMENT '使用时间',
PRIMARY KEY (get_id)
) ENGINE = innodb COMMENT '优惠劵领取记录表' DEFAULT CHARSET=utf8;

 
